<?php

// imports
require_once 'GenericAdmin/DataTypes/EnumType.php';

class Anrede extends EnumType {

	/** the possible values for attribute administrative state */
	const AN_MR = 1;
	const AN_MRS  = 2;

	// (string representations of) defined values
	public static $defd_vals = array (
		self::AN_MR => 'Herr',
		self::AN_MRS	=> 'Frau'
	);

	public function __construct($value) {
		$this->initInstance('Anrede', self::$defd_vals, $value);
	}
}

