<?php
require_once 'Lohn/DataTypes/Periode.php';


/**
 * Skeleton subclass for representing a row from the 'mitarbeiter' table.
 *
 * 
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package    propel.generator.propel
 */
class Mitarbeiter extends BaseMitarbeiter {
	
	// overrive methods with type class
	public function getPeriode() {
		return new Periode($this->periode);
	}

	public function setPeriode(Periode $v) {
		parent::setPeriode($v->getValue());
	}
	public function getGebdat($format = '%x')
	{
	    return parent::getGebdat("d.m.Y");
	}
	public function getBeschBeg($format = '%x')
	{
	    return parent::getBeschBeg("d.m.Y");
	}
	public function save(PropelPDO $con = null)
	{
	    if ($this->isNew() || $this->mod >= 999999) {
	        $this->setMod(0);
	    } else {
	        $this->setMod($this->mod + 1);
	    }
	    return parent::save($con);
	}
	
} // Mitarbeiter
