<?php
class LohnInterface {
	private $if;
	
	public function __construct() {
		require_once 'Lohn/LohnAdministration.php';
		$this->if = new LohnAdministration();
	}
	public function monatAnlegen($month) {
		$this->if->createMonth($month);
	}

	public function bruttoBerechnen($month) {
		$this->if->bruttoBerechnen($month);
	}

	public function monatBerechnen($month) {
		$this->if->calculateMonth($month);
	}

	public function verschicken($month) {
		$this->if->verschicken($month);
	}

	public function abrechnungenErstellen($month) {
		$this->if->abrechnungenErstellen($month);
	}

	public function agAnteileBerechnen($month) {
		$this->if->agAnteileBerechnen($month);
	}

	public function getMinijobBeitrage($month) {
		return $this->if->getMinijobBeitrage($month);
	}
}