<?php

// imports
require_once 'GenericAdmin/DataTypes/EnumType.php';

class Periode extends EnumType {

	/** the possible values for attribute administrative state */
	const PE_MONTH = 1;
	const PE_HOUR  = 2;

	// (string representations of) defined values
	public static $defd_vals = array (
		self::PE_MONTH => 'Monat',
		self::PE_HOUR	=> 'Stunde'
	);

	public function __construct($value) {
		$this->initInstance('Periode', self::$defd_vals, $value);
	}
}
