<?php



/**
 * This class defines the structure of the 'lohnprofil' table.
 *
 *
 *
 * This map class is used by Propel to do runtime db structure discovery.
 * For example, the createSelectSql() method checks the type of a given column used in an
 * ORDER BY clause to know whether it needs to apply SQL to make the ORDER BY case-insensitive
 * (i.e. if it's a text column type).
 *
 * @package    propel.generator.propel.map
 */
class LohnprofilTableMap extends TableMap
{

    /**
     * The (dot-path) name of this class
     */
    const CLASS_NAME = 'propel.map.LohnprofilTableMap';

    /**
     * Initialize the table attributes, columns and validators
     * Relations are not initialized by this method since they are lazy loaded
     *
     * @return void
     * @throws PropelException
     */
    public function initialize()
    {
        // attributes
        $this->setName('lohnprofil');
        $this->setPhpName('Lohnprofil');
        $this->setClassname('Lohnprofil');
        $this->setPackage('propel');
        $this->setUseIdGenerator(true);
        // columns
        $this->addPrimaryKey('id', 'Id', 'INTEGER', true, null, null);
        $this->addColumn('mod', 'Mod', 'INTEGER', true, null, null);
        $this->addColumn('name', 'Name', 'VARCHAR', true, 255, null);
        $this->addColumn('periode', 'Periode', 'INTEGER', true, null, null);
        $this->addColumn('lohnsteuer', 'Lohnsteuer', 'BOOLEAN', true, 1, false);
        $this->addColumn('kirchensteuer_rk', 'KirchensteuerRk', 'BOOLEAN', true, 1, false);
        $this->addColumn('kirchensteuer_ev', 'KirchensteuerEv', 'BOOLEAN', true, 1, false);
        $this->addColumn('soli', 'Soli', 'BOOLEAN', true, 1, false);
        $this->addColumn('rentenversicherung_an', 'RentenversicherungAn', 'REAL', true, null, 0);
        $this->addColumn('rentenversicherung_ag', 'RentenversicherungAg', 'REAL', true, null, 0);
        $this->addColumn('krankenversicherung_an', 'KrankenversicherungAn', 'REAL', true, null, 0);
        $this->addColumn('krankenversicherung_ag', 'KrankenversicherungAg', 'REAL', true, null, 0);
        $this->addColumn('u1', 'U1', 'REAL', true, null, 0);
        $this->addColumn('u2', 'U2', 'REAL', true, null, 0);
        $this->addColumn('inso', 'Inso', 'REAL', true, null, 0);
        $this->addColumn('pauschalsteuer', 'Pauschalsteuer', 'REAL', true, null, 0);
        $this->addColumn('la_typ', 'LaTyp', 'INTEGER', true, null, null);
        // validators
    } // initialize()

    /**
     * Build the RelationMap objects for this table relationships
     */
    public function buildRelations()
    {
        $this->addRelation('LA', 'Lohnabrechnung', RelationMap::ONE_TO_MANY, array('id' => 'lp_id', ), null, null, 'LAs');
        $this->addRelation('MA', 'Mitarbeiter', RelationMap::ONE_TO_MANY, array('id' => 'lp_id', ), null, null, 'MAs');
    } // buildRelations()

} // LohnprofilTableMap
